Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.util
Class Closure

    java.lang.Object
      org.joseki.util.Closure

public class Closure
extends java.lang.Object

Nested Class Summary
`static class` | `Closure.ClosureBNode`
`static class` | `Closure.ClosureReachable`

Constructor Summary
`Closure()`

Method Summary
`static com.hp.hpl.jena.rdf.model.Model` | `closure(com.hp.hpl.jena.rdf.model.Resource resource, boolean testThisNode)` Calculate the bNode closure from a resource.
`static com.hp.hpl.jena.rdf.model.Model` | `closure(com.hp.hpl.jena.rdf.model.Resource resource, boolean testThisNode, com.hp.hpl.jena.rdf.model.Model results)` Calculate the bNode closure from a resource .
`static com.hp.hpl.jena.rdf.model.Model` | `closure(com.hp.hpl.jena.rdf.model.Resource resource, ClosureTest test, boolean testThisNode)` Calculate the bNode closure from a resource .
`static com.hp.hpl.jena.rdf.model.Model` | `closure(com.hp.hpl.jena.rdf.model.Resource resource, ClosureTest test, boolean testThisNode, com.hp.hpl.jena.rdf.model.Model results)` Calculate the bNode closure from a resource .
`static com.hp.hpl.jena.rdf.model.Model` | `closure(com.hp.hpl.jena.rdf.model.Statement stmt)` Calculate the bNode closure from a statement .
`static com.hp.hpl.jena.rdf.model.Model` | `closure(com.hp.hpl.jena.rdf.model.Statement statement, ClosureTest test)` Calculate the bNode closure from a statement .
`static com.hp.hpl.jena.rdf.model.Model` | `closure(com.hp.hpl.jena.rdf.model.Statement statement, ClosureTest test, com.hp.hpl.jena.rdf.model.Model model)` Calculate the bNode closure from a statement .
`static com.hp.hpl.jena.rdf.model.Model` | `closure(com.hp.hpl.jena.rdf.model.Statement statement, com.hp.hpl.jena.rdf.model.Model model)` Calculate the bNode closure from a statement .

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Closure

    public Closure()

Method Detail

### closure

    public static com.hp.hpl.jena.rdf.model.Model closure(com.hp.hpl.jena.rdf.model.Statement stmt)

  Calculate the bNode closure from a statement . The Statement itself does not automatically get included.

  Parameters:
    `stmt` -
  Returns:
    A model containing statements

### closure

    public static com.hp.hpl.jena.rdf.model.Model closure(com.hp.hpl.jena.rdf.model.Statement statement,
                                                          ClosureTest test)

  Calculate the bNode closure from a statement . The Statement itself does not automatically get included.

  Parameters:
    `statement` - Starting point for the closure.
    `test` - The test object to be applied
  Returns:
    A model containing statements
  See Also:
    `ClosureTest`

### closure

    public static com.hp.hpl.jena.rdf.model.Model closure(com.hp.hpl.jena.rdf.model.Statement statement,
                                                          com.hp.hpl.jena.rdf.model.Model model)

  Calculate the bNode closure from a statement . The Statement itself does not automatically get included.

  Parameters:
    `statement` - Starting point for the closure.
    `model` - Add the statements to this model
  Returns:
    A model containing statements
  See Also:
    `ClosureTest`

### closure

    public static com.hp.hpl.jena.rdf.model.Model closure(com.hp.hpl.jena.rdf.model.Statement statement,
                                                          ClosureTest test,
                                                          com.hp.hpl.jena.rdf.model.Model model)

  Calculate the bNode closure from a statement . The Statement itself does not automatically get included.

  Parameters:
    `statement` - Starting point for the closure.
    `test` - The test object to be applied
    `model` - Add the statements to this model
  Returns:
    A model containing statements
  See Also:
    `ClosureTest`

### closure

    public static com.hp.hpl.jena.rdf.model.Model closure(com.hp.hpl.jena.rdf.model.Resource resource,
                                                          boolean testThisNode)

  Calculate the bNode closure from a resource. The Statement itself does not automatically get included.

  Parameters:
    `resource` - Starting point for the closure.
    `testThisNode` - Indicate whether to apply the closure test to the Resource argument.
  Returns:
    A model containing statements

### closure

    public static com.hp.hpl.jena.rdf.model.Model closure(com.hp.hpl.jena.rdf.model.Resource resource,
                                                          ClosureTest test,
                                                          boolean testThisNode)

  Calculate the bNode closure from a resource . The Statement itself does not automatically get included.

  Parameters:
    `resource` -
    `test` - The test object to be applied
    `testThisNode` - Indicate whether to apply the closure test to the Resource argument.
  Returns:
    A model containing statements

### closure

    public static com.hp.hpl.jena.rdf.model.Model closure(com.hp.hpl.jena.rdf.model.Resource resource,
                                                          boolean testThisNode,
                                                          com.hp.hpl.jena.rdf.model.Model results)

  Calculate the bNode closure from a resource . The Statement itself does not automatically get included.

  Parameters:
    `resource` -
    `testThisNode` - Indicate whether to apply the closure test to the Resource argument.
    `results` - Add the statements to this model
  Returns:
    A model containing statements

### closure

    public static com.hp.hpl.jena.rdf.model.Model closure(com.hp.hpl.jena.rdf.model.Resource resource,
                                                          ClosureTest test,
                                                          boolean testThisNode,
                                                          com.hp.hpl.jena.rdf.model.Model results)

  Calculate the bNode closure from a resource . The Statement itself does not automatically get included.

  Parameters:
    `resource` -
    `test` - The test object to be applied
    `testThisNode` - Indicate whether to apply the closure test to the Resource argument.
    `results` - Add the statements to this model
  Returns:
    A model containing statements

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.